section.main-header {
    position: fixed;
    display: flex;
    width: 100%;
    background-color: #FFFFFF;
    padding: 10px 0;
    margin: 0;
    box-shadow: 1px 1px 2px #8888884f;
    z-index: 2;
    .header-infos {
        display: flex;
        justify-content: space-between;
        width: 100%;
        gap: 20px;
        .page-name {
            display: flex;
            flex-direction: row;
            align-items: center;
            width: 100%;
            a {
                margin-left: 25px;
            }
            h1 {
                margin-left: 40px;
            }
            
            .nav-toggler{
                display: flex;
                justify-content: center;
                width: 75px;
                cursor: pointer;
            
                i {
                    font-size: 25px;
                }
            }
        }
        .user {
            display: flex;
            width: 100%;
            justify-content: flex-end;
            margin-right: 40px;
            img {
                max-height: 50px;
                width: 50px;
                border-radius: 50%;
                object-fit: cover;
                object-position: 50% 25%;
            }
            .name {
                margin: auto 10px 20px;
                display: flex;
                flex-direction: row;
                align-items: self-end;
                gap: 10px;
                cursor: pointer;
                a {
                    font-size: 12px;
                    text-decoration: underline;
                }
            }
            .user-dropdown{
                display: none;
                position: absolute;
                bottom: -50px;
                margin-bottom: 0;
                padding: 10px 25px;
                background: white;
                width: 150px;
                box-shadow: 1px 1px 2px #8888884f;
                border-bottom-left-radius: 10px;
                border-bottom-right-radius: 10px;
                li {
                    padding: 7px;
                    &:hover a {
                        color: #0788d3;
                    }
                }
            }
        }
        
    }
}

/* nav */

section.nav {
    position: fixed;
    background-color: #FFFFFF;
    min-height: 100vh;
    text-align: center;
    box-shadow: 1px 1px 2px #8888884f;
    z-index: 1;

    ul {
        &:first-child{
            display: none;
            padding-top: 80px;

            &.open {
                display: flex;
                flex-direction: column;
                justify-content: baseline;
                gap: 2vh;
                width: 75px;

                li {
                    display: flex;
                    margin-left: 17px;
                    font-size: 15px;

                    a {
                        display: flex;
                    }

                    span,
                    ul {
                        display: none;
                    }

                    &.active,
                    div.active {
                        color: #0788d3;

                        svg.stroke path {
                            stroke: #0788d3;
                            transition: .2s;
                        }
                        svg.fill path {
                            fill: #0788d3;
                            transition: .2s;
                        }
                        svg.both path {
                            stroke: #0788d3;
                            fill: #0788d3;
                            transition: .2s;
                        }
                    }
                }
            }
        }
    }

    &:hover {
        ul.open {
            width: 200px;
            

            li {
                cursor: pointer;

                span {
                    display: block;
                }
                
                > a {
                    gap: 1vw;
                    align-items: center;
                    transition: .2s;

                    &:hover {
                        color: #0788d3;
                        transition: .2s;

                        svg.stroke path {
                            stroke: #0788d3;
                            transition: .2s;
                        }
                        svg.fill path {
                            fill: #0788d3;
                            transition: .2s;
                        }
                        svg.both path {
                            stroke: #0788d3;
                            fill: #0788d3;
                            transition: .2s;
                        }
                    }
                }

                &:has(ul){
                    display: flex;
                    flex-direction: column;
                    gap: 1vw;
                    cursor: default;

                    > div {
                        display: flex;
                        gap: 1vw;
                        align-items: center;
                        width: 100%;
                    }

                    ul {
                        display: flex;
                        flex-direction: column;
                        gap: 2vh;
                        min-width: 100%;
                        max-width: 0;
                        margin: 0 0 0 35px;
                        font-size: 13px;

                        hr {
                            width: 90%;
                            margin: -5px 0 -5px -30px;
                        }
    
                        li {
                            margin-left: 0;

                            a {
                                display: flex;
                                align-self: center;
                            }
                        }
                    }
                }
            }
        }
    }
}
